Index: channels/chan_gtalk.c
===================================================================
--- channels/chan_gtalk.c	(revision 59298)
+++ channels/chan_gtalk.c	(working copy)
@@ -855,6 +855,9 @@
 	if (!(tmp = ast_calloc(1, sizeof(*tmp)))) {
 		return NULL;
 	}
+
+	memcpy(&tmp->prefs, &client->prefs, sizeof(struct ast_codec_pref));
+
 	if (sid) {
 		ast_copy_string(tmp->sid, sid, sizeof(tmp->sid));
 		ast_copy_string(tmp->them, them, sizeof(tmp->them));
@@ -915,6 +918,11 @@
 		what = i->capability;
 	else
 		what = global_capability;
+
+	/* Set Frame packetization */
+	if (i->rtp)
+		ast_rtp_codec_setpref(i->rtp, &i->prefs);
+
 	tmp->nativeformats = ast_codec_choose(&i->prefs, what, 1) | (i->jointcapability & AST_FORMAT_VIDEO_MASK);
 	fmt = ast_best_codec(tmp->nativeformats);
 
Index: doc/rtp-packetization.txt
===================================================================
--- doc/rtp-packetization.txt	(revision 59298)
+++ doc/rtp-packetization.txt	(working copy)
@@ -11,6 +11,7 @@
     chan_skinny
     chan_h323
     chan_ooh323 (Asterisk-Addons)
+    chan_gtalk
 
 Configuration
 -------
